Debian Bug report logs - #383465
Contains obfuscated source code, DFSG violation?

version graph

Package: xserver-xorg-video-nv; Maintainer for xserver-xorg-video-nv is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for xserver-xorg-video-nv is src:xserver-xorg-video-nv.

Reported by: Matthew Garrett <mjg59@srcf.ucam.org>

Date: Thu, 17 Aug 2006 13:33:06 UTC

Severity: serious

Tags: etch-ignore, lenny-ignore, squeeze-ignore

Found in version xserver-xorg-video-nv/1:1.0.1.5-2

Fixed in versions 1:2.1.17-3+rm, xserver-xorg-video-nv/1:2.1.17-4

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Matthew Garrett <mjg59@srcf.ucam.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthew Garrett <mjg59@srcf.ucam.org>
To: submit@bugs.debian.org
Subject: Contains obfuscated source code, DFSG violation?
Date: Thu, 17 Aug 2006 14:12:17 +0100
Package: xserver-xorg-video-nv
Version: 1:1.0.1.5-2
Severity: serious

The nv driver appears to be heavily obfuscated and is effectively 
unmodifiable. Rather than symbolic constants, almost every reference to 
hardware is performed using undocumented hex. The only registers that 
appear to be documented are the legacy CRTC ones which are effectively 
identical over all hardware. Take for example NVBacklightEnable:

    if((pNv->Chipset == 0x10DE0179) || 
       (pNv->Chipset == 0x10DE0189) || 
       (pNv->Chipset == 0x10DE0329))
    {
       /* NV17,18,34 Apple iMac, iBook, PowerBook */
      CARD32 tmp_pmc, tmp_pcrt;
      tmp_pmc = pNv->PMC[0x10F0/4] & 0x7FFFFFFF;
      tmp_pcrt = pNv->PCRTC0[0x081C/4] & 0xFFFFFFFC;
      if(on) {
          tmp_pmc |= (1 << 31);
          tmp_pcrt |= 0x1;
      }
      pNv->PMC[0x10F0/4] = tmp_pmc;
      pNv->PCRTC0[0x081C/4] = tmp_pcrt;
     }

The idea that nvidia do not posess an electronic list of register names 
and offsets is entirely implausible. The only rational explanation is 
that register information is postprocessed out in order to reduce 
information leakage. The shipped code is certainly not the preferred 
form for modification, and according to prevailing attitudes on 
debian-legal should be removed from Debian.

-- 
Matthew Garrett | mjg59@srcf.ucam.org



Bug 383465 cloned as bug 383481. Request was from Kyle McMartin <kyle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 383465@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Matthew Garrett <mjg59@srcf.ucam.org>
Cc: 383465@bugs.debian.org
Subject: Re: Contains obfuscated source code, DFSG violation?
Date: Tue, 29 Aug 2006 01:21:26 +0200
On Thu, Aug 17, 2006 at 02:12:17PM +0100, Matthew Garrett wrote:
> The nv driver appears to be heavily obfuscated and is effectively 
> The idea that nvidia do not posess an electronic list of register names 
> and offsets is entirely implausible. The only rational explanation is 
> that register information is postprocessed out in order to reduce 
> information leakage. 

Or that nVidia never wrote the driver in the first place. I cannot find any
nVidia copyrights on it -- it seems to have been reverse-engineered and then
written up by the current copyright holders.

> The shipped code is certainly not the preferred form for modification

TBH, I don't think there is any other form in existence, unless you want to
count the proprietary drivers this probably was reverse engineered from at
some distant past.

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Matthew Garrett <mjg59@srcf.ucam.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 383465@bugs.debian.org (full text, mbox):

From: Matthew Garrett <mjg59@srcf.ucam.org>
To: 383465@bugs.debian.org
Subject: Re: Contains obfuscated source code, DFSG violation?
Date: Tue, 29 Aug 2006 00:39:56 +0100
Sorry? 12 of the files in the source tree contain explicit Nvidia 
copyright statements. The others tend to have no copyrights at all, but 
are generally written by Mark Vojkovich who is an nvidia employee. 

-- 
Matthew Garrett | mjg59@srcf.ucam.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <daniel@fooishbar.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 383465@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniel@fooishbar.org>
To: "Steinar H. Gunderson" <sgunderson@bigfoot.com>, 383465@bugs.debian.org
Cc: Matthew Garrett <mjg59@srcf.ucam.org>
Subject: Re: Bug#383465: Contains obfuscated source code, DFSG violation?
Date: Tue, 29 Aug 2006 10:41:17 +0300
[Message part 1 (text/plain, inline)]
On Tue, Aug 29, 2006 at 01:21:26AM +0200, Steinar H. Gunderson wrote:
> On Thu, Aug 17, 2006 at 02:12:17PM +0100, Matthew Garrett wrote:
> > The nv driver appears to be heavily obfuscated and is effectively 
> > The idea that nvidia do not posess an electronic list of register names 
> > and offsets is entirely implausible. The only rational explanation is 
> > that register information is postprocessed out in order to reduce 
> > information leakage. 
> 
> Or that nVidia never wrote the driver in the first place. I cannot find any
> nVidia copyrights on it -- it seems to have been reverse-engineered and then
> written up by the current copyright holders.

The output of the below has been tidied up a bit to remove duplicates:
daniels@endtroducing:~/x/xorg/driver/xf86-video-nv/src% for i in *.[ch]; do echo -n $i:\  ; grep Copyright $i || echo no copyright; done 
nv_const.h: no copyright
nv_cursor.c: |*       Copyright 2003 NVIDIA, Corporation.  All rights reserved.           *|
nv_dac.c: |*       Copyright 2003 NVIDIA, Corporation.  All rights reserved.           *|
nv_dga.c: no copyright
nv_dma.h: |*       Copyright 2003 NVIDIA, Corporation.  All rights reserved.           *|
nv_driver.c:  * Copyright 1996-1997  David J. McKay
nv_hw.c: |*       Copyright 1993-2003 NVIDIA, Corporation.  All rights reserved.      *|
nv_include.h: no copyright
nv_local.h: |*       Copyright 1993-2003 NVIDIA, Corporation.  All rights reserved.      *|
nv_proto.h: no copyright
nv_setup.c: |*       Copyright 2003 NVIDIA, Corporation.  All rights reserved.           *|
nv_shadow.c:    Copyright (c) 1999,  The XFree86 Project Inc. 
nv_type.h: no copyright
nv_video.c: no copyright
nv_xaa.c: |*       Copyright 2003 NVIDIA, Corporation.  All rights reserved.           *|
nvreg.h:  * Copyright 1996-1997  David J. McKay
nvvga.h:  * Copyright 1996-1997  David J. McKay
riva_const.h: no copyright
riva_cursor.c:  * Copyright 1996-1997  David J. McKay
riva_dac.c:  * Copyright 1996-1997  David J. McKay
riva_dga.c: no copyright
riva_driver.c:  * Copyright 1996-1997  David J. McKay
riva_hw.c: |*       Copyright 1993-1999 NVIDIA, Corporation.  All rights reserved.      *|
riva_hw.h: |*       Copyright 1993-1999 NVIDIA, Corporation.  All rights reserved.      *|
riva_include.h: no copyright
riva_local.h: |*       Copyright 1993-1999 NVIDIA, Corporation.  All rights reserved.      *|
riva_proto.h: no copyright
riva_setup.c:  * Copyright 1996-1997  David J. McKay
riva_shadow.c:    Copyright (c) 1999,  The XFree86 Project Inc. 
riva_tbl.h: |*       Copyright 1993-1999 NVIDIA, Corporation.  All rights reserved.      *|
riva_type.h: no copyright
riva_xaa.c: |*       Copyright 1993-1999 NVIDIA, Corporation.  All rights reserved.      *|

So, of those, a few Riva files for the ancient Riva 128 chipset are
copyright David J. McKay as well as nvreg.h and nvvga.h,
riva_shadow.c and nv_shadow.c are copyright XFree86, and
riva_include.h, riva_proto.h, riva_type.h, riva_dga.c, riva_const.h,
nv_video.c, nv_type.h, nv_proto.h, nv_include.h, nv_dga.c,
and nv_const.h have no copyright.  The rest are NVIDIA.

riva_shadow.c and nv_shadow.c implement a 'shadow framebuffer' option,
which isn't about hardware access.  The files were almost certainly just
taken from some other driver, with a quick sed run.

Assuming the dates for David McKay's copyright run correct, they are
almost nine years old now.  nvreg.h does not actually contain register
definitions, but is a fairly trivial set of macros and declaration of a
few pointers to register locations (extern unsigned char *nvDAC, et al).
nvvga.h contains a register definition for the NV1, which was released
in 1995.  All the fun parts of the Riva driver -- and this is for an
ancient chip -- are in NVIDIA-copyrighted files, like riva_hw.c:
    VGA_WR08(chip->PCIO, 0x3D4, 0x19); tmp = VGA_RD08(chip->PCIO, 0x3D5);
    VGA_WR08(chip->PCIO, 0x3D5, (offset & 0x01F) | (tmp & ~0x1F));
    VGA_WR08(chip->PCIO, 0x3D4, 0x2D); tmp = VGA_RD08(chip->PCIO, 0x3D5);
    VGA_WR08(chip->PCIO, 0x3D5, (offset & 0x60) | (tmp & ~0x60));
and riva_tbl.h:
static unsigned nv3TablePRAMIN[][2] =
{
    {0x00000500, 0x00010000},
    {0x00000501, 0x007FFFFF},
    {0x00000200, 0x80000000},
    {0x00000201, 0x00C20341},
    {0x00000204, 0x80000001},
    [...]

But 'nv' is the interesting one, since that supports current
hardware, and nv_hw.c is the one with genius section such as:
    cr11 = VGA_RD08(pNv->PCIO, 0x3D5);
    if(Lock) cr11 |= 0x80;
    else cr11 &= ~0x80;
    VGA_WR08(pNv->PCIO, 0x3D5, cr11);

Sadly this isn't even remotely out of the ordinary for the nv driver:
it's one of the most benign sections I could find in the first function
of nv_hw.c.

For recent history, looking at:
http://gitweb.freedesktop.org/?p=xorg/driver/xf86-video-nv.git;a=shortlog
you can see that all code commits have been made either by Aaron
Plattner (an NVIDIA employee, as you can see from his email address,
also you can google him on site:lists.freedesktop.org to see him
offering to maintain nv), or by Mark Vojkovitch (another NVIDIA
employee) via Alan Coopersmith, because Mark doesn't like committing to
X.Org.

Looking at the old XFree86 history:
http://cvsweb.xfree86.org/cvsweb/xc/programs/Xserver/hw/xfree86/drivers/nv/
nv_driver.c and nv_hw.c in particular, you can see that Mark has been
responsible for every commit that hasn't been of the trivial 'add a
missing #include' variety.  Commits such as this:
http://cvsweb.xfree86.org/cvsweb/xc/programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c.diff?r1=1.1&r2=1.2
which I refuse to accept were written in that as its original form, what
with Mark being an NVIDIA employee and having access to the data books
(he has repeatedly publicly stated this in the past) and all.

I hope this clears everything up for you: the driver may look like it's
reverse-engineered, but in reality it's just a shockingly-written
driver, complete with massive sed hacks.  (Back In The Day, around NV1
era, there used to be an unobfuscated driver.  NVIDIA reversed this
decision, and by the time Riva 128 rolled around, the driver was
deliberately obfuscated, by means of removing all the symbolic names and
replacing them with unintelligible hex constants.)

Cheers,
Daniel
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Xavier Bestel <xavier.bestel@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 383465@bugs.debian.org (full text, mbox):

From: Xavier Bestel <xavier.bestel@free.fr>
To: Matthew Garrett <mjg59@srcf.ucam.org>, 383465@bugs.debian.org
Subject: Re: Bug#383465: Contains obfuscated source code, DFSG violation?
Date: Tue, 29 Aug 2006 09:53:34 +0200
On Tue, 2006-08-29 at 01:39, Matthew Garrett wrote:
> Sorry? 12 of the files in the source tree contain explicit Nvidia 
> copyright statements. The others tend to have no copyrights at all, but 
> are generally written by Mark Vojkovich who is an nvidia employee. 

True. But as the driver is distributed under the MIT licence, I don't
think it has to be under the "preferred form for modification". Unless
Debian requires it ?

	Xav




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <daniel@fooishbar.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 383465@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniel@fooishbar.org>
To: Xavier Bestel <xavier.bestel@free.fr>, 383465@bugs.debian.org
Subject: Re: Bug#383465: Contains obfuscated source code, DFSG violation?
Date: Tue, 29 Aug 2006 11:24:32 +0300
[Message part 1 (text/plain, inline)]
On Tue, Aug 29, 2006 at 09:53:34AM +0200, Xavier Bestel wrote:
> True. But as the driver is distributed under the MIT licence, I don't
> think it has to be under the "preferred form for modification". Unless
> Debian requires it ?

Um, the subject is about a DFSG violation, not a licence violation.
According to -legal, everything must be provided with its pure, original
source -- the head of the coder that hand-wrote some firmware, the
instruments used to record any particular Ogg Vorbis track, et al.
Random hex constants are apparently not source in firmware (and thus
distribution of such is a violation of the DFSG), but I fail to see
how random hex constants are source here either.

Cheers,
Daniel
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 383465@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Daniel Stone <daniel@fooishbar.org>, 383465@bugs.debian.org
Cc: Xavier Bestel <xavier.bestel@free.fr>
Subject: Re: Bug#383465: Contains obfuscated source code, DFSG violation?
Date: Tue, 29 Aug 2006 11:00:27 +0200
[Message part 1 (text/plain, inline)]
On Aug 29, Daniel Stone <daniel@fooishbar.org> wrote:

> According to -legal, everything must be provided with its pure, original
> source -- the head of the coder that hand-wrote some firmware, the
> instruments used to record any particular Ogg Vorbis track, et al.
Let's be accurate here: "according to some -legal kooks, everything...".
If you disagree with this line of tought then you should spend some of
your time on debian-legal arguing against it.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 383465@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Daniel Stone <daniel@fooishbar.org>
Cc: 383465@bugs.debian.org, Matthew Garrett <mjg59@srcf.ucam.org>
Subject: Re: Bug#383465: Contains obfuscated source code, DFSG violation?
Date: Tue, 29 Aug 2006 14:10:53 +0200
On Tue, Aug 29, 2006 at 10:41:17AM +0300, Daniel Stone wrote:
>> Or that nVidia never wrote the driver in the first place. I cannot find any
>> nVidia copyrights on it -- it seems to have been reverse-engineered and then
>> written up by the current copyright holders.
> The output of the below has been tidied up a bit to remove duplicates:

OK, my analysis was clearly incorrect. With the information you presented, I
agree with Matthew. :-)

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Tags added: etch-ignore Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 383465@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 383465@bugs.debian.org
Subject: re: Contains obfuscated source code, DFSG violation?
Date: Tue, 28 Nov 2006 20:49:56 +0000
[Message part 1 (text/plain, inline)]
I found some interesting links about this topic:

http://cvsweb.xfree86.org/cvsweb/xc/programs/Xserver/hw/xfree86/vga256/drivers/nv/Attic/README.RIVATNT.diff?r1=1.1.2.2&r2=1.1.2.3&hideattic=0&only_with_tag=xf-3_3_3
and
http://cvsweb.xfree86.org/cvsweb/xc/programs/Xserver/hw/xfree86/vga256/drivers/nv/Attic/nv3driver.c.diff?r1=1.1.2.5&r2=1.1.2.6&hideattic=0&only_with_tag=xf-3_3_3

If nvidia already 'forced' XFree86 to obfuscate their source code, it
doesn't seem unlikely that they require obfuscation of the source for
the 'nv' driver too.

-- 
Sam Morris
http://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <dnusinow@speakeasy.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 383465@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@speakeasy.net>
To: Sam Morris <sam@robots.org.uk>, 383465@bugs.debian.org
Subject: Re: Bug#383465: Contains obfuscated source code, DFSG violation?
Date: Wed, 29 Nov 2006 19:50:51 -0500
On Tue, Nov 28, 2006 at 08:49:56PM +0000, Sam Morris wrote:
> I found some interesting links about this topic:
> 
> http://cvsweb.xfree86.org/cvsweb/xc/programs/Xserver/hw/xfree86/vga256/drivers/nv/Attic/README.RIVATNT.diff?r1=1.1.2.2&r2=1.1.2.3&hideattic=0&only_with_tag=xf-3_3_3
> and
> http://cvsweb.xfree86.org/cvsweb/xc/programs/Xserver/hw/xfree86/vga256/drivers/nv/Attic/nv3driver.c.diff?r1=1.1.2.5&r2=1.1.2.6&hideattic=0&only_with_tag=xf-3_3_3
> 
> If nvidia already 'forced' XFree86 to obfuscate their source code, it
> doesn't seem unlikely that they require obfuscation of the source for
> the 'nv' driver too.

They can't actually force obfuscation beause the code is under MIT/X11
(well... most of it. We need to clarify the situation of nv_hw.c badly).
The nouveau project is deobfuscating the code as they go. Even if their DRI
work isn't ready for Lenny, we'll definitely be pulling their deobfuscated
code.

 - David Nusinow



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Message #57 received at 383465@bugs.debian.org (full text, mbox):

From: "Robert Millan [ackstorm]" <robert.millan@ackstorm.es>
To: David Nusinow <dnusinow@speakeasy.net>
Cc: Sam Morris <sam@robots.org.uk>, 383465@bugs.debian.org
Subject: Re: Bug#383465: Contains obfuscated source code, DFSG violation?
Date: Mon, 16 Jul 2007 12:14:14 +0200
On Wed, Nov 29, 2006 at 07:50:51PM -0500, David Nusinow wrote:
> 
> The nouveau project is deobfuscating the code as they go. Even if their DRI
> work isn't ready for Lenny, we'll definitely be pulling their deobfuscated
> code.

Put aside what we do for Lenny, is there any technical problem in terms of
user support if we move this driver to non-free and let vesa and/or vga be
the default for nvidia users?

Given that the driver is 2D-only anyway, I don't see it as a big loss.  With
the vesa option, at least the non-free bits are moved down to firmware, where
it's no longer our responsability (read: if the driver is faulty and we can't
fix it, it would be faulty on all platforms, and I find that highly unlikely
since the card wouldn't work on pristine win32 either).

-- 
Robert Millan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 383465@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: "Robert Millan [ackstorm]" <robert.millan@ackstorm.es>, 383465@bugs.debian.org
Cc: David Nusinow <dnusinow@speakeasy.net>, Sam Morris <sam@robots.org.uk>
Subject: Re: Bug#383465: Contains obfuscated source code, DFSG violation?
Date: Mon, 16 Jul 2007 22:14:02 +0200
* Robert Millan [ackstorm] (robert.millan@ackstorm.es) [070716 12:21]:
> On Wed, Nov 29, 2006 at 07:50:51PM -0500, David Nusinow wrote:
> > 
> > The nouveau project is deobfuscating the code as they go. Even if their DRI
> > work isn't ready for Lenny, we'll definitely be pulling their deobfuscated
> > code.
> 
> Put aside what we do for Lenny, is there any technical problem in terms of
> user support if we move this driver to non-free and let vesa and/or vga be
> the default for nvidia users?

AFAIR, we still prefer this driver way over the "hard non-free"
binary-only driver from NVidia. In other words, given that the project
nouveau is making progress, changes are merged back, and this driver is
better then the binary-only driver, I think keeping the driver in main
is the right decision.


Cheers,
Andi
-- 
  http://home.arcor.de/andreas-barth/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <dnusinow@speakeasy.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 383465@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@speakeasy.net>
To: "Robert Millan [ackstorm]" <robert.millan@ackstorm.es>, 383465@bugs.debian.org
Cc: David Nusinow <dnusinow@speakeasy.net>, Sam Morris <sam@robots.org.uk>
Subject: Re: Bug#383465: Contains obfuscated source code, DFSG violation?
Date: Mon, 16 Jul 2007 19:42:44 -0400
On Mon, Jul 16, 2007 at 12:14:14PM +0200, Robert Millan [ackstorm] wrote:
> On Wed, Nov 29, 2006 at 07:50:51PM -0500, David Nusinow wrote:
> > 
> > The nouveau project is deobfuscating the code as they go. Even if their DRI
> > work isn't ready for Lenny, we'll definitely be pulling their deobfuscated
> > code.
> 
> Put aside what we do for Lenny, is there any technical problem in terms of
> user support if we move this driver to non-free and let vesa and/or vga be
> the default for nvidia users?
> 
> Given that the driver is 2D-only anyway, I don't see it as a big loss.  With
> the vesa option, at least the non-free bits are moved down to firmware, where
> it's no longer our responsability (read: if the driver is faulty and we can't
> fix it, it would be faulty on all platforms, and I find that highly unlikely
> since the card wouldn't work on pristine win32 either).

The nv driver does provide additional features over the vesa driver, most
notably the recent inclusion of randr 1.2 support. Because of this, I'd
rather not push people even further towards the proprietary driver.

 - David Nusinow



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #72 received at 383465@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: control@bugs.debian.org, 383465@bugs.debian.org
Subject: Adding lenny ignore tag
Date: Thu, 14 Aug 2008 17:08:46 +0100
[Message part 1 (text/plain, inline)]
tags 383465 +lenny-ignore
thanks

This is being lenny ignored as there's a fix underway (nouveau) and it's
not yet a complete replacement, so nv will still be required.

Neil
-- 
<twb> I don't see why anyone would want to "cyber" with a 16yo.  IME none of
	them can spell, and they probably haven't had the relevant experience to
	write convincing prose.  It's not like their ASCII is going to be any more
	supple for them being sixteen.
[signature.asc (application/pgp-signature, inline)]

Tags added: lenny-ignore Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Thu, 14 Aug 2008 16:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. (Wed, 26 Aug 2009 01:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 26 Aug 2009 01:18:04 GMT) Full text and rfc822 format available.

Message #79 received at 383465@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 383465@bugs.debian.org
Subject: Replacement of xserver-xorg-video-nv
Date: Wed, 26 Aug 2009 02:12:48 +0100
[Message part 1 (text/plain, inline)]
Is nouveau likely to be in good enough shape to replace nv for squeeze?

Ben.

-- 
Ben Hutchings
If at first you don't succeed, you're doing about average.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#383465; Package xserver-xorg-video-nv. (Wed, 26 Aug 2009 13:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 26 Aug 2009 13:18:09 GMT) Full text and rfc822 format available.

Message #84 received at 383465@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, 383465@bugs.debian.org
Cc: Chris Lamb <lamby@debian.org>
Subject: Re: Bug#383465: Replacement of xserver-xorg-video-nv
Date: Wed, 26 Aug 2009 14:59:02 +0200
On Wed, Aug 26, 2009 at 02:12:48 +0100, Ben Hutchings wrote:

> Is nouveau likely to be in good enough shape to replace nv for squeeze?
> 
There's a reasonable chance we'll be able to include nouveau in squeeze
(the kernel driver is lining up for inclusion in staging, hopefully
that'll happen for 2.6.32).  I wouldn't bet on it replacing nv in all
cases quite yet.

Cheers,
Julien




Added tag(s) squeeze-ignore. Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. (Wed, 24 Mar 2010 10:12:13 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 09 Feb 2011 12:51:18 GMT) Full text and rfc822 format available.

Notification sent to Matthew Garrett <mjg59@srcf.ucam.org>:
Bug acknowledged by developer. (Wed, 09 Feb 2011 12:51:18 GMT) Full text and rfc822 format available.

Message #91 received at 383465-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 377847-done@bugs.debian.org,383465-done@bugs.debian.org,396993-done@bugs.debian.org,403350-done@bugs.debian.org,405179-done@bugs.debian.org,438850-done@bugs.debian.org,453782-done@bugs.debian.org,461756-done@bugs.debian.org,465084-done@bugs.debian.org,471566-done@bugs.debian.org,474319-done@bugs.debian.org,484583-done@bugs.debian.org,488452-done@bugs.debian.org,488907-done@bugs.debian.org,493327-done@bugs.debian.org,495610-done@bugs.debian.org,498070-done@bugs.debian.org,498632-done@bugs.debian.org,499664-done@bugs.debian.org,502103-done@bugs.debian.org,503178-done@bugs.debian.org,509211-done@bugs.debian.org,511291-done@bugs.debian.org,513904-done@bugs.debian.org,514369-done@bugs.debian.org,515527-done@bugs.debian.org,521876-done@bugs.debian.org,524457-done@bugs.debian.org,524638-done@bugs.debian.org,528092-done@bugs.debian.org,528093-done@bugs.debian.org,528724-done@bugs.debian.org,531967-done@bugs.debian.org,536874-done@bugs.debian.org,540240-done@bugs.debian.org,557195-done@bugs.debian.org,557573-done@bugs.debian.org,565182-done@bugs.debian.org,565488-done@bugs.debian.org,574828-done@bugs.debian.org,578062-done@bugs.debian.org,579952-done@bugs.debian.org,
Cc: xserver-xorg-video-nv@packages.debian.org, xserver-xorg-video-nv@packages.qa.debian.org
Subject: Bug#612189: Removed package(s) from unstable
Date: Wed, 09 Feb 2011 12:47:26 +0000
Version: 1:2.1.17-3+rm

Dear submitter,

as the package xserver-xorg-video-nv has just been removed from the Debian archive
unstable we hereby close the assiciated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/612189

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 21 Jul 2012 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Mon, 30 Jul 2012 21:34:12 GMT) Full text and rfc822 format available.

Notification sent to Matthew Garrett <mjg59@srcf.ucam.org>:
Bug acknowledged by developer. (Mon, 30 Jul 2012 21:34:12 GMT) Full text and rfc822 format available.

Message #98 received at 383465-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 383465-close@bugs.debian.org
Subject: Bug#383465: fixed in xserver-xorg-video-nv 1:2.1.17-4
Date: Mon, 30 Jul 2012 21:33:51 +0000
Source: xserver-xorg-video-nv
Source-Version: 1:2.1.17-4

We believe that the bug you reported is fixed in the latest version of
xserver-xorg-video-nv, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 383465@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated xserver-xorg-video-nv package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Jul 2012 16:21:33 +0200
Source: xserver-xorg-video-nv
Binary: xserver-xorg-video-nv
Architecture: source kfreebsd-amd64
Version: 1:2.1.17-4
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 xserver-xorg-video-nv - X.Org X server -- NV display driver
Closes: 383465
Changes: 
 xserver-xorg-video-nv (1:2.1.17-4) unstable; urgency=low
 .
   * Reupload for the sake of non-KMS architectures.
   * Tentatively set debian-bsd as maintainer.  XSF is welcome to takeover if
     they want to (see #612189, and the discussion in
     http://lists.debian.org/debian-x/2012/07/msg00343.html).
   * Move to non-free repository.  (Closes: #383465)
Checksums-Sha1: 
 1214006063e17fb3d3b730275b9acd91dce5ba0d 1664 xserver-xorg-video-nv_2.1.17-4.dsc
 45e96336600caaa6f9eccbdb8834b6c97bcd3a84 19893 xserver-xorg-video-nv_2.1.17-4.diff.gz
 7c49497aee5852a9c7d79bc8cef5cf8bdd4f96c2 117040 xserver-xorg-video-nv_2.1.17-4_kfreebsd-amd64.deb
Checksums-Sha256: 
 c11663a02f481e3be7a3c4bebe91e465e59e0e9bf7bb139a8a6e9f052b02f824 1664 xserver-xorg-video-nv_2.1.17-4.dsc
 340dbbb8ac3f99700fea1feac7396ecf5a5875edfc57cb0f3d7316afa2409622 19893 xserver-xorg-video-nv_2.1.17-4.diff.gz
 1c03060a3e983455e1c9b0f33bbccd4565180a69df9c1cafd6dbee43c05426b5 117040 xserver-xorg-video-nv_2.1.17-4_kfreebsd-amd64.deb
Files: 
 b092b0f497eaa3527c68fde879abe731 1664 non-free/x11 optional xserver-xorg-video-nv_2.1.17-4.dsc
 085bf8660184e692ad2d6d755d3fee8d 19893 non-free/x11 optional xserver-xorg-video-nv_2.1.17-4.diff.gz
 2884a7d8b4d05076224635e2fa07afe8 117040 non-free/x11 optional xserver-xorg-video-nv_2.1.17-4_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iEYEARECAAYFAlAKw0oACgkQC19io6rUCv98dACdHkEIDgWkLVYP4M5l6xy70E/O
zw4An1H3RHuVF78H4LPMomXIwHvSzGo1
=2K/T
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:52:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:56:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.